# eric4.Plugins.DocumentationPlugins.Ericdoc.EricdocConfigDialog

Module implementing a dialog to enter the parameters for eric4_doc.

### Global Attributes

None

### Classes

EricdocConfigDialog | Class implementing a dialog to enter the parameters for eric4_doc.

### Functions

None

## EricdocConfigDialog

Class implementing a dialog to enter the parameters for eric4_doc.

### Derived from

QDialog, Ui_EricdocConfigDialog

### Class Attributes

None

### Class Methods

None

### Methods

EricdocConfigDialog | Constructor
__checkQtHelpOptions | Private slot to check the QtHelp options and set the ok button accordingly.
__initializeDefaults | Private method to set the default values.
__selectColor | Private method to select a color.
accept | Protected slot called by the Ok button.
generateParameters | Public method that generates the commandline parameters.
on_addButton_clicked | Private slot to add the directory displayed to the listview.
on_bodyBgButton_clicked | Private slot to select the body background color.
on_bodyFgButton_clicked | Private slot to select the body foreground color.
on_cfBgButton_clicked | Private slot to select the class/function header background color.
on_cfFgButton_clicked | Private slot to select the class/function header foreground color.
on_cssButton_clicked | Private slot to select a css style sheet.
on_deleteButton_clicked | Private slot to delete the currently selected directory of the listbox.
on_ignoreDirButton_clicked | Private slot to select a directory to be ignored.
on_l1BgButton_clicked | Private slot to select the level 1 header background color.
on_l1FgButton_clicked | Private slot to select the level 1 header foreground color.
on_l2BgButton_clicked | Private slot to select the level 2 header background color.
on_l2FgButton_clicked | Private slot to select the level 2 header foreground color.
on_linkFgButton_clicked | Private slot to select the foreground color of links.
on_outputDirButton_clicked | Private slot to select the output directory.
on_qtHelpDirButton_clicked | Private slot to select the output directory for the QtHelp files.
on_qtHelpFolderEdit_textChanged | Private slot to check the virtual folder.
on_qtHelpGroup_toggled | Private slot to toggle the generation of QtHelp files.
on_qtHelpNamespaceEdit_textChanged | Private slot to check the namespace.
on_qtHelpTitleEdit_textChanged | Private slot to check the title.

### Static Methods

None

#### EricdocConfigDialog (Constructor)

EricdocConfigDialog(project, parms = None, parent = None)

Constructor

project
  reference to the project object (Project.Project)
parms
  parameters to set in the dialog
parent
  parent widget of this dialog

#### EricdocConfigDialog.__checkQtHelpOptions

__checkQtHelpOptions()

Private slot to check the QtHelp options and set the ok button accordingly.

#### EricdocConfigDialog.__initializeDefaults

__initializeDefaults()

Private method to set the default values.

These are needed later on to generate the commandline parameters.

#### EricdocConfigDialog.__selectColor

__selectColor(colorKey)

Private method to select a color.

colorKey
  key of the color to select (string)

#### EricdocConfigDialog.accept

accept()

Protected slot called by the Ok button.

It saves the values in the parameters dictionary.

#### EricdocConfigDialog.generateParameters

generateParameters()

Public method that generates the commandline parameters.

It generates a QStringList to be used to set the QProcess arguments for the ericdoc call and a list containing the non default parameters. The second list can be passed back upon object generation to overwrite the default settings.

Returns:
  a tuple of the commandline parameters and non default parameters (QStringList, dictionary)

#### EricdocConfigDialog.on_addButton_clicked

on_addButton_clicked()

Private slot to add the directory displayed to the listview.

The directory in the ignore directories line edit is moved to the listbox above and the edit is cleared.

#### EricdocConfigDialog.on_bodyBgButton_clicked

on_bodyBgButton_clicked()

Private slot to select the body background color.

#### EricdocConfigDialog.on_bodyFgButton_clicked

on_bodyFgButton_clicked()

Private slot to select the body foreground color.

#### EricdocConfigDialog.on_cfBgButton_clicked

on_cfBgButton_clicked()

Private slot to select the class/function header background color.

#### EricdocConfigDialog.on_cfFgButton_clicked

on_cfFgButton_clicked()

Private slot to select the class/function header foreground color.

#### EricdocConfigDialog.on_cssButton_clicked

on_cssButton_clicked()

Private slot to select a css style sheet.

#### EricdocConfigDialog.on_deleteButton_clicked

on_deleteButton_clicked()

Private slot to delete the currently selected directory of the listbox.

#### EricdocConfigDialog.on_ignoreDirButton_clicked

on_ignoreDirButton_clicked()

Private slot to select a directory to be ignored.

It displays a directory selection dialog to select a directory to be ignored.

#### EricdocConfigDialog.on_l1BgButton_clicked

on_l1BgButton_clicked()

Private slot to select the level 1 header background color.

#### EricdocConfigDialog.on_l1FgButton_clicked

on_l1FgButton_clicked()

Private slot to select the level 1 header foreground color.

#### EricdocConfigDialog.on_l2BgButton_clicked

on_l2BgButton_clicked()

Private slot to select the level 2 header background color.

#### EricdocConfigDialog.on_l2FgButton_clicked

on_l2FgButton_clicked()

Private slot to select the level 2 header foreground color.

#### EricdocConfigDialog.on_linkFgButton_clicked

on_linkFgButton_clicked()

Private slot to select the foreground color of links.

#### EricdocConfigDialog.on_outputDirButton_clicked

on_outputDirButton_clicked()

Private slot to select the output directory.

It displays a directory selection dialog to select the directory the documentations is written to.

#### EricdocConfigDialog.on_qtHelpDirButton_clicked

on_qtHelpDirButton_clicked()

Private slot to select the output directory for the QtHelp files.

It displays a directory selection dialog to select the directory the QtHelp files are written to.

#### EricdocConfigDialog.on_qtHelpFolderEdit_textChanged

on_qtHelpFolderEdit_textChanged(txt)

Private slot to check the virtual folder.

txt
  text of the line edit (QString)

#### EricdocConfigDialog.on_qtHelpGroup_toggled

on_qtHelpGroup_toggled(enabled)

Private slot to toggle the generation of QtHelp files.

enabled
  flag indicating the state (boolean)

#### EricdocConfigDialog.on_qtHelpNamespaceEdit_textChanged

on_qtHelpNamespaceEdit_textChanged(txt)

Private slot to check the namespace.

txt
  text of the line edit (QString)

#### EricdocConfigDialog.on_qtHelpTitleEdit_textChanged

on_qtHelpTitleEdit_textChanged(p0)

Private slot to check the title.

txt
  text of the line edit (QString)

Up